<?PHP 

function wpcwv2_admin_menu()
{
//	add_options_page("Content Warning", "CW v2 Settings", 'administrator', dirname(__FILE__).'/wpcwv2-settings.php');
	$plugin_page = add_menu_page( "Content Warning", "CW v2", 'administrator', 'content_warning_v2_options', 'wpcwv2_show_admin_page');
	add_action('load-'.$plugin_page, 'load_cwv2_help');
}

function load_cwv2_help(){
	$cwv2 = get_current_screen();
	$cwv2->add_help_tab(
		array(
			'id' => 'overview-cwv2',
			'title' => 'Overview',
			'content' => "<p>While this help is intended to provide you a little insight on the best ways to use this application, it is by no means an exhaustive list of how-to's or an in-depth analysis of how the application works.</p>
						  <p>To get started you'll see a minimum of three tabs, more if you have purchased an addon.  Each tab corresponds to a different setting, as you should expect unless you're a novice user.  The main tab is where most of the magic happens, not really magic but it sounds good right?  The dialog tab is where you can set data for the new users to see on the front end.  Finally the Denial is where you can show users a message or automatically re-direct them if they've previously exited the site.</p>"
		)
	);
	$cwv2->add_help_tab(
		array(
			'id' => 'main-cwv2',
			'title' => 'Main',
			'content' => '<p>This tab governs possibly the heart of the plugin.  Here you can enable, disable, and even set cookie timeouts.</p>
						  <p><strong>Sitewide: </strong> Enabling this will prevent dialogs on other pages, if any, and allow the user full access to your site once they click enter.  However, by selecting this, it also overrides the per-page/post setting.</p>
						  <p><strong>Kill Immediately: </strong>  Pretty self explanitory, however, it should be noted that on tabbed browsers, it will not delete the cookie just by closing a tab, the entire browser must be closed.  This overrides the cookie expiration time.</p>
						  <p><strong>Expiration Time: </strong>Pretty self explanitory again, but it should be noted that the monthly timeout is not 100% accurate as the actual weeks in a month is 4.33.</p>
						  <p><strong>Per-Page/Post Overrides: </strong>Enabling this will provide an option to admins and editors when you edit posts and pages to enable or disable the dialog on posts or page basis.<br /><small><i>Posts and pages keep their settings, they are not cleared.</i></small></p>
						  <p><strong>Default for Overrides: </strong>This will pre-set the settings on the posts or pages.  <br />For example, if you only want to block one page, you can enable the previous setting, and set the default to disabled.  Now all you have to do is go to the page and enable the dialog for that one single page.</p>'
		)
	);
	$cwv2->add_help_tab(
		array(
			'id' => 'dialog-cwv2',
			'title' => 'Dialog',
			'content' => '<p>These options are pretty self-explanitory.  However, it should be noted of the enter URL.  If this is left blank, but told to be used, it simply closes the dialog.  For instance, the url turns into http://mysite.com/#</p>
			'
		)
	);
	$cwv2->add_help_tab(
		array(
			'id' => 'denial-cwv2',
			'title' => 'Denial',
			'content' => '<p>Again, this is pretty self-explanitory.</p>
						  <p><strong>Enable/Disable: </strong>Enabling the denial option will override the previous seetings in the dialog and will not allow the user to now re-enter the site.</p>
						  <p><strong>Deny Method: </strong>Here you can redirect the user automatically, this will use the dialog exit options.  Or you can show the new denied dialog and prevent a user from now entering, while still providing the exit option.</p>
			'
		)
	);
	
}

function wpcwv2_show_admin_page(){
	include (dirname(__FILE__).'/../wpcwv2-settings.php');
}

function wpcwv2_load_admin_style(){
	//wp_enqueue_script('jquery-ui-core');
	wp_enqueue_style('wpcwv2_admin_style');
	wp_enqueue_script('wpcwv2_admin_js');
}
add_action('admin_init', 'wpcwv2_load_admin_style');
add_action('admin_menu', 'wpcwv2_admin_menu');
?>