<?php

/*************************************************************************
*	Application:	Wordpress Content Warning
*	Version:		2.0
*
*	Filename: 		ajax.php
*	Version: 		1.7
*	Author: 		Jerry Wood Jr. (Jerry)
*	Website: 		http://www.jjswebs.com
*	Email:			jay@jjswebs.com
*************************************************************************/


function cwv2_checkUserData($pageID){
	if(isset($_COOKIE['wpcwv2_validated'][$pageID]) && !empty($_COOKIE['wpcwv2_validated'][$pageID]) && $_COOKIE['wpcwv2_validated'][$pageID] == '-1')
		if(get_option('wpcwv2_denial_option')==0)
			return '2';
		else
			return '3';
	elseif(isset($_SESSION['wpcwv2_validated'][$pageID]) && !empty($_SESSION['wpcwv2_validated'][$pageID]) && $_SESSION['wpcwv2_validated'][$pageID] == '-1')
		if(get_option('wpcwv2_denial_option')==0)
			return '2';
		else
			return '3';  	
	elseif(isset($_COOKIE['wpcwv2_validated'][$pageID]) && !empty($_COOKIE['wpcwv2_validated'][$pageID]) && $_COOKIE['wpcwv2_validated'][$pageID] == '1')
		return '1';
	elseif(isset($_SESSION['wpcwv2_validated'][$pageID]) && !empty($_SESSION['wpcwv2_validated'][$pageID]) && $_SESSION['wpcwv2_validated'][$pageID] == '1')
		return '1';
	else
		return '0';
}
function cwv2_checkUser(){
	// Using POST method instead of GET for security.
	if(!is_admin())
		die('Oops!');
		
	$p = empty($_POST['post']) ? 'empty' : $_POST['post'];
	if(get_option('wpcwv2_sitewide'))
		$p = 'siteWide';
		
	echo cwv2_checkUserData($p);
	
	exit;
}
add_action('wp_ajax_nopriv_cwv2_checkUser', 'cwv2_checkUser');
// The user doesn't have to be logged in, just in case he is.
add_action('wp_ajax_cwv2_checkUser', 'cwv2_checkUser');

function cwv2_buildMessage(){
	
	if(!is_admin())
		die('Oops!');
	
	$denial = (isset($_GET['d'])) ? TRUE : FALSE;
	
	$enterType = get_option('wpcwv2_enter_use_which');
	$exitType = get_option('wpcwv2_exit_use_which');
	
	if($enterType == "1")
		$enter_url = get_option('wpcwv2_msg_enter_url');
	elseif($enterType == "2")
		$enter_url = get_page_uri(get_option('wpcwv2_enter_page_id'));
		
	if($exitType == "1")
		$exit_url = get_option('wpcwv2_msg_exit_url');
	elseif($exitType == "2")
		$exit_url = get_page_uri(get_option('wpcwv2_exit_page_id'));
	
	// Read File
	$file = ABSPATH.'wp-content/plugins/content-warning-v2/assets/message.html';
	$handle = fopen($file, "r"); 
    $output = fread($handle, filesize($file));
    fclose($handle); 
	
	// Get Contents
    $msg_title = get_option('wpcwv2_msg_title');
    $msg_title = empty($msg_title) ? 'Content Warning' : $msg_title;
    
    $msg_message = get_option('wpcwv2_msg_message');
    
    $exit_text = get_option('wpcwv2_msg_exit_text');
    $exit_url = empty($exit_url) ? 'http://www.google.com' : $exit_url;
    
    $enter_text = get_option('wpcwv2_msg_enter_text');
	$enter_url = empty($enter_url) ? "#" : $enter_url;
	
	// Additional
	if(get_option('wpcwv2_use_denial') == 1){
		$exit_data = '<a href="#" onclick="denyUser()">'.$exit_text.'</a>';
	}else{
		$exit_data= '<a href="'.$exit_url.'">'.$exit_text.'</a> ';
	}
	
	if($denial==TRUE && get_option('wpcwv2_use_denial') == 1 && get_option('wpcwv2_denial_option')==1){
		$enter_data = "";
		$msg_message = get_option('wpcwv2_deny_message');
		$msg_title = get_option('wpcwv2_deny_title');
	}else{
		$enter_data = '<a href="'.$enter_url.'" onclick="wpdoor_remove();" class="wpdoor_enter">'.$enter_text.'</a>';
	}
    header('Content-type: text/html');
	
    // Format Output
    $output = str_replace('[msg_title]', $msg_title, $output);
    $output = str_replace('[msg_message]', $msg_message, $output);
    $output = str_replace('[exit_data]', $exit_data, $output);
    $output = str_replace('[enter_data]', $enter_data, $output);
    
    echo $output;
	
	exit;
}
add_action('wp_ajax_nopriv_cwv2_buildMessage', 'cwv2_buildMessage');
// The user doesn't have to be logged in, just in case he is.
add_action('wp_ajax_cwv2_buildMessage', 'cwv2_buildMessage');

function cwv2_set_data(){

	$d = ($_POST['d']==TRUE) ? TRUE : FALSE;
	$pag = (empty($_POST['p'])) ? 'empty' : $_POST['p'];
	if(get_option('wpcwv2_sitewide'))
		$pag = 'siteWide';
	
	$cookie_expire = intval(get_option('wpcwv2_cookie_expire'));
	
	// SET COOKIE and SESSION
	if($cookie_expire < 86399 ) // If the time is less than 24 hours
		$expire = 0; // Expire End of Session
	else
		$expire = time() + $cookie_expire; // Expire in Specified Time
	/*
	* Small hack to allow a per-page / per-post cookie.  
	* This probably isn't the best idea since the end-user's computer could become
	* littered with cookies from larger WordPress sites, but it's a quick and easy
	* fix from my point of view.
	*/
	
	if($d==TRUE && get_option('wpcwv2_use_denial') == 1)
		$cookieVal = '-1';
	else
		$cookieVal = '1';
	
		
	setcookie('wpcwv2_validated['.$pag.']', $cookieVal, $expire, SITECOOKIEPATH, COOKIE_DOMAIN);
		
	$_SESSION['wpcwv2_validated'][$pag] = $cookieVal;

	exit;
}

add_action('wp_ajax_nopriv_cwv2_set_cookie', 'cwv2_set_data');
add_action('wp_ajax_cwv2_set_cookie', 'cwv2_set_data');


?>